Package io.dapr.client.domain

# Class GetConfigurationRequest

java.lang.Object
io.dapr.client.domain.GetConfigurationRequest

public class GetConfigurationRequest extends Object
Request to get one or more configuration items from Dapr's configuration store.

## Constructor Summary

Constructors
Constructor
Description
`GetConfigurationRequest(String storeName, List<String> keys)`
Constructor for GetConfigurationRequest.

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getKeys()`
`Map<String,String>`
`getMetadata()`
`String`
`getStoreName()`
`GetConfigurationRequest`
`setMetadata(Map<String,String> metadata)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GetConfigurationRequest

public GetConfigurationRequest(String storeName, List<String> keys)
Constructor for GetConfigurationRequest.

Parameters:
  `storeName` - Name of the configuration store
  `keys` - Keys for the configuration objects

## Method Details

### setMetadata

public GetConfigurationRequest setMetadata(Map<String,String> metadata)

### getStoreName

public String getStoreName()

### getKeys

public List<String> getKeys()

### getMetadata

public Map<String,String> getMetadata()